//
//  AccountView.swift
//  Werkout_ios
//
//  Created by Trey Tartt on 6/15/23.
//

import Foundation
import SwiftUI

struct AccountView: View {
    @ObservedObject var userStore = UserStore.shared
    
    
    var body: some View {
        VStack(alignment: .leading) {
            NameView()
            
            CompletedWorkoutsView()
            
            Divider()
            
            ThotPreferenceView()
            
            ShowNextUpView()
            
            Spacer()
            
            Logoutview()
        }
        .padding()
    }
}

//struct AccountView_Previews: PreviewProvider {
//    static let userStore = UserStore.shared
//    static let completedWorkouts = PreviewData.parseCompletedWorkouts()
//    
//    static var previews: some View {
//        AccountView(completedWorkouts: completedWorkouts)
//            .onAppear{
//                userStore.setFakeUser()
//            }
//    }
//}
